Zum Inhalt springen
DeutschlandGPT

List models

Returns all available text completion models. For every model kind (image, video, avatar, audio, embedding) annotated with its kind, use GET /v2/models/all.

GEThttps://api.deutschlandgpt.de/v2/models

Example request

curl https://api.deutschlandgpt.de/v2/models \
  -X GET \
  -H "Authorization: Bearer $DGPT_API_KEY"

Response

200application/json
{
  "object": "list",
  "data": [
    {
      "id": "gpt-4o",
      "object": "model",
      "created": 1715367049,
      "owned_by": "dgpt"
    },
    {
      "id": "claude-sonnet-4-5",
      "object": "model",
      "created": 1715367049,
      "owned_by": "dgpt"
    }
  ]
}

List of models

objectstring
dataModel[]
idstring
objectstring
createdinteger

Unix timestamp of when the model was registered

owned_bystring

Response codes

200

List of models

object
403

Forbidden

Was this page helpful?